#
# spec file for package books
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           books
License:        GPL-2.0+ and SUSE-LDPL-2.0
Group:          Documentation/Other
Provides:       handbuch lx-buch1
AutoReqProv:    off
Summary:        Several Linux Books
Version:        2009.1.12
Release:        22.3
BuildArch:      noarch
Source:         LDP.tgz
Source1:        http://www.ibiblio.org/pub/Linux/docs/linux-doc-project/module-programming-guide/lkmpg-1.1.0.pdf.tar.gz
Source11:       http://www.linuxdoc.org/LDP/nag2/nag2.pdf
Source12:       http://www.ibiblio.org/pub/Linux/docs/linux-doc-project/system-admin-guide/sag-0.6.2.pdf.gz
Source13:       http://www.linuxdoc.org/LDP/lki/lki.pdf
Source14:       http://www.ibiblio.org/pub/Linux/docs/linux-doc-project/users-guide/user-beta-1.pdf.gz
Source15:       http://www.ibiblio.org/pub/Linux/docs/linux-doc-project/programmers-guide/lpg-0.4.pdf
Source16:       http://www.ibiblio.org/pub/Linux/docs/linux-doc-project/install-guide/install-guide-3.2.pdf.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#

%prep
%setup -n LDP -a 1
cp -a %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} .
gunzip *.gz

%build
mv lkmpg-1.1.0.pdf/*.pdf .
rmdir lkmpg-1.1.0.pdf

%install
install -d $RPM_BUILD_ROOT/usr/share/doc/Books
cp -a LDP* README linux-logo.ps *.pdf $RPM_BUILD_ROOT/usr/share/doc/Books

%files
%defattr(-,root,root)
%doc /usr/share/doc/Books

%description
This package contains some books, which are installed under
/usr/share/doc/Books.

The books are:

"Linux Installation and getting started" by Matt Welsh

"Linux Programmers Guide" by Sven Goldt and Sven van der Meer

"Linux Network Administrators Guide, Second Edition" by Olaf Kirch and
Terry Dawson

"Linux System Administrators Guide" by Lars Wirzenius

"Linux Users Guide" by Larry Greenfield

"Linux Kernel 2.4 Internals" by Tigran Aivazian

"The Linux Kernel Module Programming Guide" by Ori Pomerantz




%changelog
* Mon Apr  2 2012 cfarrell@suse.com
- license update: GPL-2.0+ and SUSE-LDPL-2.0
  SPDX format
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Jan 12 2009 pgajdos@suse.cz
- modified LSL contact information in the nag2.pdf [bnc#465174]
* Thu Nov  6 2008 ro@suse.de
- drop nosource
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Apr 26 2005 ro@suse.de
- use NoSource
* Fri Apr 16 2004 ro@suse.de
- gain control over version number
* Mon Feb  2 2004 hmacht@suse.de
- added option # norootforbuilt in specfile
* Wed May 21 2003 coolo@suse.de
- using %%doc
* Mon Feb 10 2003 ro@suse.de
- removed index.html (no longer used) (#23511)
* Mon Feb 25 2002 ro@suse.de
- install index.html as 644
* Fri Sep 14 2001 adrian@suse.de
- move susehelp conf files to susehelp
* Thu May 10 2001 utuerk@suse.de
- fixed susehelp conf-files
* Mon May  7 2001 ro@suse.de
- added first cut for susehelp conf-files
* Mon May  7 2001 ro@suse.de
- major update, use pdf's only
* Fri Apr 20 2001 ro@suse.de
- needs xf86 to build for fig2dev
* Sat Dec  9 2000 nashif@suse.de
- re-sorted (typo)
* Mon Sep 25 2000 ro@suse.de
- sorted
* Thu Sep 14 2000 ro@suse.de
- fix if built on alpha
* Mon Jun 19 2000 ro@suse.de
- specfile fix
* Sun Jun 18 2000 ro@suse.de
- moved to /usr/share/doc
* Tue Nov  2 1999 kukuk@suse.de
- Update install-guide to 3.2
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun  8 1999 bs@suse.de
- made package "noarch"
* Sat Feb 28 1998 bs@suse.de
- deleted texhash stuff (done by tetex package now)
* Tue Nov 18 1997 ro@suse.de
- ready for autobuild
